[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [jenkins-ci PATCH v3 11/12] guests: Support building on more targets



The Jenkins build jobs can only run on the subset of
guests that are available on CentOS CI, but when we're
running build jobs through lcitool we don't have that
limitation and we can build on more targets.

Signed-off-by: Andrea Bolognani <abologna redhat com>
---
 guests/playbooks/build/jobs/defaults.yml         |  4 ++++
 guests/playbooks/build/projects/libvirt-dbus.yml | 16 ++++++++++++++--
 .../playbooks/build/projects/libvirt-sandbox.yml |  3 +++
 guests/playbooks/build/projects/libvirt-tck.yml  |  4 ++++
 guests/playbooks/build/projects/libvirt.yml      |  3 +++
 guests/playbooks/build/projects/virt-manager.yml |  9 ++++++++-
 projects/libvirt-dbus.yaml                       |  6 ++++--
 projects/virt-manager.yaml                       |  4 +++-
 8 files changed, 43 insertions(+), 6 deletions(-)

diff --git a/guests/playbooks/build/jobs/defaults.yml b/guests/playbooks/build/jobs/defaults.yml
index b4e9343..c07475c 100644
--- a/guests/playbooks/build/jobs/defaults.yml
+++ b/guests/playbooks/build/jobs/defaults.yml
@@ -4,11 +4,15 @@ all_machines:
   - libvirt-centos-7
   - libvirt-debian-8
   - libvirt-debian-9
+  - libvirt-debian-sid
   - libvirt-fedora-27
   - libvirt-fedora-28
   - libvirt-fedora-rawhide
   - libvirt-freebsd-10
   - libvirt-freebsd-11
+  - libvirt-freebsd-current
+  - libvirt-ubuntu-16
+  - libvirt-ubuntu-18
 rpm_machines:
   - libvirt-centos-7
   - libvirt-fedora-27
diff --git a/guests/playbooks/build/projects/libvirt-dbus.yml b/guests/playbooks/build/projects/libvirt-dbus.yml
index 2d8f77c..d9f5d4a 100644
--- a/guests/playbooks/build/projects/libvirt-dbus.yml
+++ b/guests/playbooks/build/projects/libvirt-dbus.yml
@@ -5,11 +5,15 @@
     machines:
       - libvirt-centos-7
       - libvirt-debian-9
+      - libvirt-debian-sid
       - libvirt-fedora-27
       - libvirt-fedora-28
       - libvirt-fedora-rawhide
       - libvirt-freebsd-10
       - libvirt-freebsd-11
+      - libvirt-freebsd-current
+      - libvirt-ubuntu-16
+      - libvirt-ubuntu-18
     archive_format: xz
     git_url: https://github.com/libvirt/libvirt-dbus.git
 
@@ -17,24 +21,32 @@
 - include: '{{ playbook_base }}/jobs/autotools-build-job.yml'
 - include: '{{ playbook_base }}/jobs/autotools-syntax-check-job.yml'
   vars:
-    # syntax-check uses Python 3, which CentOS 7 doesn't include
+    # CentOS 7 doesn't include Python 3 and the version of pyflakes
+    # in FreeBSD CURRENT is too new to be used by flake8
     machines:
       - libvirt-debian-9
+      - libvirt-debian-sid
       - libvirt-fedora-27
       - libvirt-fedora-28
       - libvirt-fedora-rawhide
       - libvirt-freebsd-10
       - libvirt-freebsd-11
+      - libvirt-ubuntu-16
+      - libvirt-ubuntu-18
 - include: '{{ playbook_base }}/jobs/autotools-check-job.yml'
   vars:
-    # The test suite uses Python 3, which CentOS 7 doesn't include
+    # CentOS 7 doesn't include Python 3 and the version in Ubuntu
+    # 16.04 is too old
     machines:
       - libvirt-debian-9
+      - libvirt-debian-sid
       - libvirt-fedora-27
       - libvirt-fedora-28
       - libvirt-fedora-rawhide
       - libvirt-freebsd-10
       - libvirt-freebsd-11
+      - libvirt-freebsd-current
+      - libvirt-ubuntu-18
 - include: '{{ playbook_base }}/jobs/autotools-rpm-job.yml'
   vars:
     machines: '{{ rpm_machines }}'
diff --git a/guests/playbooks/build/projects/libvirt-sandbox.yml b/guests/playbooks/build/projects/libvirt-sandbox.yml
index 23be1f3..411cfc7 100644
--- a/guests/playbooks/build/projects/libvirt-sandbox.yml
+++ b/guests/playbooks/build/projects/libvirt-sandbox.yml
@@ -7,9 +7,12 @@
     machines:
       - libvirt-debian-8
       - libvirt-debian-9
+      - libvirt-debian-sid
       - libvirt-fedora-27
       - libvirt-fedora-28
       - libvirt-fedora-rawhide
+      - libvirt-ubuntu-16
+      - libvirt-ubuntu-18
     archive_format: gz
     git_url: https://github.com/libvirt/libvirt-sandbox.git
 
diff --git a/guests/playbooks/build/projects/libvirt-tck.yml b/guests/playbooks/build/projects/libvirt-tck.yml
index 13e63f4..fa16d26 100644
--- a/guests/playbooks/build/projects/libvirt-tck.yml
+++ b/guests/playbooks/build/projects/libvirt-tck.yml
@@ -4,11 +4,15 @@
     machines:
       - libvirt-debian-8
       - libvirt-debian-9
+      - libvirt-debian-sid
       - libvirt-fedora-27
       - libvirt-fedora-28
       - libvirt-fedora-rawhide
       - libvirt-freebsd-10
       - libvirt-freebsd-11
+      - libvirt-freebsd-current
+      - libvirt-ubuntu-16
+      - libvirt-ubuntu-18
     archive_format: gz
     git_url: https://github.com/libvirt/libvirt-tck.git
 
diff --git a/guests/playbooks/build/projects/libvirt.yml b/guests/playbooks/build/projects/libvirt.yml
index 23ef13c..bb3e53f 100644
--- a/guests/playbooks/build/projects/libvirt.yml
+++ b/guests/playbooks/build/projects/libvirt.yml
@@ -15,9 +15,12 @@
       - libvirt-centos-7
       - libvirt-debian-8
       - libvirt-debian-9
+      - libvirt-debian-sid
       - libvirt-fedora-27
       - libvirt-fedora-28
       - libvirt-fedora-rawhide
+      - libvirt-ubuntu-16
+      - libvirt-ubuntu-18
 - include: '{{ playbook_base }}/jobs/autotools-check-job.yml'
   vars:
     local_env: |
diff --git a/guests/playbooks/build/projects/virt-manager.yml b/guests/playbooks/build/projects/virt-manager.yml
index 2f92a69..fcd4fa4 100644
--- a/guests/playbooks/build/projects/virt-manager.yml
+++ b/guests/playbooks/build/projects/virt-manager.yml
@@ -1,14 +1,19 @@
 ---
 - set_fact:
     name: virt-manager
-    # virt-manager is Python 3 only, so it can't be built on CentOS 7
+    # virt-manager is Python 3 only, so it can't be built on CentOS 7;
+    # Debian 8 and Ubuntu 16.04 have Python 3 but not the libxml2
+    # bindings so they can't build the project either
     machines:
       - libvirt-debian-9
+      - libvirt-debian-sid
       - libvirt-fedora-27
       - libvirt-fedora-28
       - libvirt-fedora-rawhide
       - libvirt-freebsd-10
       - libvirt-freebsd-11
+      - libvirt-freebsd-current
+      - libvirt-ubuntu-18
     archive_format: gz
     git_url: https://github.com/virt-manager/virt-manager.git
 
@@ -24,9 +29,11 @@
     # https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224902
     machines:
       - libvirt-debian-9
+      - libvirt-debian-sid
       - libvirt-fedora-27
       - libvirt-fedora-28
       - libvirt-fedora-rawhide
+      - libvirt-ubuntu-18
 - include: '{{ playbook_base }}/jobs/python-distutils-rpm-job.yml'
   vars:
     machines:
diff --git a/projects/libvirt-dbus.yaml b/projects/libvirt-dbus.yaml
index 43c6bed..5689345 100644
--- a/projects/libvirt-dbus.yaml
+++ b/projects/libvirt-dbus.yaml
@@ -18,7 +18,8 @@
           parent_jobs: 'libvirt-glib-master-build'
       - autotools-syntax-check-job:
           parent_jobs: 'libvirt-dbus-master-build'
-          # syntax-check uses Python 3, which CentOS 7 doesn't include
+          # CentOS 7 doesn't include Python 3 and the version of pyflakes
+          # in FreeBSD CURRENT is too new to be used by flake8
           machines:
             - libvirt-debian-9
             - libvirt-fedora-27
@@ -28,7 +29,8 @@
             - libvirt-freebsd-11
       - autotools-check-job:
           parent_jobs: 'libvirt-dbus-master-syntax-check'
-          # The test suite uses Python 3, which CentOS 7 doesn't include
+          # CentOS 7 doesn't include Python 3 and the version in Ubuntu
+          # 16.04 is too old
           machines:
             - libvirt-debian-9
             - libvirt-fedora-27
diff --git a/projects/virt-manager.yaml b/projects/virt-manager.yaml
index a89f90b..f7929d6 100644
--- a/projects/virt-manager.yaml
+++ b/projects/virt-manager.yaml
@@ -1,7 +1,9 @@
 
 - project:
     name: virt-manager
-    # virt-manager is Python 3 only, so it can't be built on CentOS 7
+    # virt-manager is Python 3 only, so it can't be built on CentOS 7;
+    # Debian 8 and Ubuntu 16.04 have Python 3 but not the libxml2
+    # bindings so they can't build the project either
     machines:
       - libvirt-debian-9
       - libvirt-fedora-27
-- 
2.17.1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]